<?php
/**
* @copyright	Copyright (C) 2010 - JoomSpirit. All rights reserved.
*/



defined('_JEXEC') or die('Restricted access');



$path = $this->baseurl.'/templates/'.$this->template;
$width = $this->params->get('width');
$width_left = $this->params->get('width_left');
$width_right = $this->params->get('width_right');
$user4_width = $this->params->get('user4_width');
$user6_width = $this->params->get('user6_width');
$fade = $this->params->get('fade');
$show_tooltips = $this->params->get('show_tooltips');



if ($this->params->get('fontSize') == '') 
	{ $fontSize ='13px'; } 
else { $fontSize = $this->params->get('fontSize'); }



JHTML::_('behavior.mootools');
include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/layout.php');
?>
<?php echo '<?xml version="1.0" encoding="utf-8"?'.'>'; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >



<head>
<jdoc:include type="head" />

<!-- style sheet links -->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/main.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/nav.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/typo.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/moomenuh.css" type="text/css" />



<!--[if lt IE 7]>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/ie6.css" type="text/css" />
<![endif]-->

<!--	Moomenu horizontal	-->
<script src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/lib/js/moomenuh.js" type="text/javascript"></script>

<!--	effect mootools		-->
<?php if ($show_tooltips == '1') : ?>
<script src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/lib/js/tooltips.js" type="text/javascript"></script>
<?php endif; ?>




</head>

<body <?php echo ('style="font-size:'.$fontSize.';"');?> >
					

		<div id="wrapper" style="width:<?echo $width ; ?>;">
			
			<!--	nav	main -->
			<?php if($this->countModules('menu')) : ?>
			<div id="nav_main">
				<table align="center">
				<tr><td>
				<jdoc:include type="modules" name="menu" style="xhtml" />
				</td></tr>
				</table>
			</div>
			<?php endif; ?>

<div id="tmpl"><h1><a href="http://joomla-free-templates.ru/" target="_blank">joomla templates</a></h1></div>
			<div id="middle_site">
			
				<?php if( ($this->countModules('left')) || ($this->countModules('menu'))) : ?>
				<div id="left" style="width:<?php echo $width_left ; ?>;">
					<jdoc:include type="modules" name="left" style="joomspirit" />
				</div>
				<?php endif; ?>
						
				<?php if($this->countModules('right')) : ?>
				<div id="right" style="width:<?php echo $width_right ; ?>;">
					<jdoc:include type="modules" name="right" style="joomspirit" />
				</div>
				<?php endif; ?>
							
					
				<div id="main_component" >
				
					<?php if ($this->countModules( 'syndicate' )) : ?>
					<div id="syndicate">
						<jdoc:include type="modules" name="syndicate" style="xhtml" />
					</div>
					<?php endif; ?>
								
					<?php if($this->countModules('breadcrumb')) : ?>
					<div id="breadcrumb">
						<jdoc:include type="modules" name="breadcrumb" style="xhtml" />
					</div>
					<?php endif; ?>			
				
		
					<!--  MAIN COMPONENT -->
					<jdoc:include type="message" />
					<jdoc:include type="component" />
					<?php echo $copy ; ?>
									
				</div>
						
				<div class="clr"></div>			

			</div>	<!--	END OF MIDDLE SITE	-->
				
			<div id="bottom_site">
				
				<?php if($this->countModules('bottom_menu')) : ?>
				<div id="bottom_menu">
					<jdoc:include type="modules" name="bottom_menu" style="xhtml" />
				</div>
				<?php endif; ?>
						
				<?php if ($this->countModules( 'adress' )) : ?>
				<div id="adress">
					<jdoc:include type="modules" name="adress" style="xhtml" />
				</div>
				<?php endif; ?>
				
			</div>	<!--	END OF BOTTOM_SITE	-->
			
		</div>	<!-- END OF WRAPPER	-->
		
		<div id="header">
							
			<?php if($this->countModules('translate')) : ?>
			<div id="translate">
				<jdoc:include type="modules" name="translate" style="xhtml" />
			</div>
			<?php endif; ?>
				
			<?php if($this->countModules('top_menu')) : ?>
			<div id="top_menu">
				<jdoc:include type="modules" name="top_menu" style="xhtml" />
			</div>
			<?php endif; ?>
				
		</div>	<!--	END OF HEADER	-->



</body>
</html>